Jump to content

Archived

This topic is now archived and is closed to further replies.

Footix

Impossible d'installer KDE sur Debian

Recommended Posts

Bonjour,

j'ai essayé d'installer Debian sur un de mes PC hier soir. Tout c'est bien passé grâce au super tuto de Sentinel que je félicite au passage et qui m'a décidé dans le choiw de laisse tomber Mandrake. :-D

Ceci étant le problème est venu lors de l'installation de KDE. Il refuse de s'installer en mettant pour chaque élément de kde (k****) : "depends : k**** is not installable" quand je fais aptitude install kde.

J'ai dû faire un erreur mais où ? J'étais cela dit guère à l'aise dans la configuration de xserver86.... (carte graphique, le bus, ...):D

Merci

Note:

deb http://ftp.fr.debian.org/debian/ stable main non-free contrib

deb http://non-us.debian.org/debian-non-US stable/non-US main contrib non-free

deb http://security.debian.org/ stable/updates main contrib non-free

deb ftp://ftp.kde.org/pub/kde/stable/3.1.2/Debian/ stable main

dans le tuto faudrai changer la dernière ligne avec stable/3.2.2/Debian/ ?

Share this post


Link to post
Share on other sites

salut

je pense que tu devrais etre un peu plus precis sur tes demarches

quel version de debian utilises tu? (woody / Sarge / Sid) je suppose que c'est une woody

vu la sources.list.

si c'est pour une machine de bureau je predrais une sarge car elle est bien plus a jour (noyau-desktop etc...)

as tu fais un apt-get update pour mettre la sources.list a jour?

avec un peu plus de details je pense que les personnes pourront mieux t'aider

Share this post


Link to post
Share on other sites

Si tu avais été sur le site ftp://ftp.kde.org/pub/kde/stable/ tu aurais pu répondre toi-même à la question, kde 3.1.2 n'existe plus :) Mais à ta place je mettrais le kde 3.3 plus optimisé plutôt que le kde 3.2.2.

Par contre, si c'est pour une machine de bureau, je mettrais plutôt une testing pure ou une testing mélangé à de l'unstable. Si tu veux tous les derniers packages alors, ce sera une unstable mais bon, faut savoir ce qu'on fait si jamais il y a un bug :)

Share this post


Link to post
Share on other sites
Si tu avais été sur le site ftp://ftp.kde.org/pub/kde/stable/ tu aurais pu répondre toi-même à la question, kde 3.1.2 n'existe plus :) Mais à ta place je mettrais le kde 3.3 plus optimisé plutôt que le kde 3.2.2.

Ben si j'ai installe Debian avec KDE c'est forcement aue j'ai pris 3.2.2 vu qui y a plus la 3.1.2 :-D Et si je me trompe pas sur le ftp la 3.3 est un raccourci vers 3.2.2

J'ai suivi le tuto pas a pas de Sentinel, donc j'ai pris une stable. Tout est alle bien jusqu'a KDE qu'il refuse d'installer. Debian est bien installee manque juste le bureau. J'ai du aussi faire des erreurs dans la config de xserver (j'ai utilise plusieurs fois reconfig) : comme le nom de la carte graphique, le BUS, ...

J' ai un AMD 900Mhz avec SDRAM 133 et TNT2 de nvidia et 2 disque dur un avec windobe et l'autre avec Debian. C'est un PC de bureau.

Euh c'est plsu precis ? :byebye:

Rem : il n'y a pas d'accent car je suis sur un PC prehistorique de la fac en qwerty...

Merci !!

Share this post


Link to post
Share on other sites

Bon, si tu look ma signature, tu verras que j'ai aussi une Debian Stable mais sur mon ancêtre :byebye: Et j'ai mis kde 3.3 comme j'avais dit sur mon précédent post, mais je confirme, ça pointe vers kde 3.2.2, et là, idem que toi, broken package donc toujours avec mon kde 2.2.2.

Bon, je me penche vers le problème là...

PS: je me demande si ça ne vient pas du fait qu'ils sont surement en train de faire des packages pour kde 3.3.1, à méditer

Share this post


Link to post
Share on other sites

Donc en gros quand je rentre, je change le lien dans sources.list vers la 2.2.2 et je test ?

Share this post


Link to post
Share on other sites

kde 2.2.2 est d'origine sur Debian Woody, donc tu mets un # devant la ligne:

deb ftp://ftp.kde.org/pub/kde/stable/3.1.2/Debian/ stable main

J'ai lu dans le ReadMe qu'il fallait regarder dans les backports mais pas encore tout trouvé, je cherche toujours... Je mettrai mon sources.list si je trouve ce qu'il faut

EDIT:

là apparemment, j'ai trouvé, les packages se downloadent, donc te tiens au courant....

Share this post


Link to post
Share on other sites
:mad2: surtout pas la 2.x.y ce sont toutes des usines à gaz essayez au minimum un kde 3.x

Share this post


Link to post
Share on other sites

Désolé du retard, j'ai eu quelques gros problèmes. Bon, si tu as matté ma signature, tu auras vu que ma Debian Stable est sur un p1 qui a une carte graphique S3, incompatible avec XFree86 4.1 du coup me fallait le XServer-S3 et lui m'a posé beaucoup de problème. Bref, pour passer les détails, après avoir presque désinstaller la moitié de ma Debian Stable, j'ai remis directement un XFree 4.3 :) et là, kde 3.2.2 passe comme une lettre à la poste.

Voici mon source.list

deb http://ftp.debian.skynet.be/ftp/debian/ stable main contrib non-free
deb-src http://ftp.debian.skynet.be/ftp/debian/ stable main contrib non-free

#backports
deb http://www.backports.org/debian stable kernel-2.6 grub samba xfree86
deb http://people.debian.org/~nobse/xfree86/ woody main
#security
deb http://security.debian.org/ stable/updates main contrib non-free
#kde
deb ftp://ftp.kde.org/pub/kde/stable/3.2.2/Debian/ stable main

Si tu vas sur le site http://www.backports.org/ tu pourras updater encore d'autres packages mais bon, comme tu t'en doutes, le seul nécessaire est le xfree86 sur cette ligne, samba, grub et kernel-2.6 pas nécessaire :)

Je dois quand même te remercier car je me serais contenté de mon kde 2.2.2 et mon xserver-S3 (3.3), j'ai gagné pas mal en une après-midi... Donc, à ton tour :)

Share this post


Link to post
Share on other sites

J'ai mis à jour sources.list et le problème est revenu :roll:

je cherche :arrow:

EDIT : J'ai virer kde et xserver pour recommencer avec ma nouvelle list. Il veut pas installer xser 3.4 :(

" xserver-xfree86: Depends: xserver-common (>=3.4.dfsg.1-5) but is not installable"

:fou:

Share this post


Link to post
Share on other sites

je ne comprends pas trop tes versions car si je fais ça:

pentium1:~# apt-cache policy xserver-xfree86
xserver-xfree86:
 Installed: 4.3.0.dfsg.1-7.woody.1
 Candidate: 4.3.0.dfsg.1-7.woody.1
 Version Table:
*** 4.3.0.dfsg.1-7.woody.1 0
       500 http://people.debian.org woody/main Packages
       100 /var/lib/dpkg/status
    4.3.0-0woody4+4.0pre1v3 0
       500 ftp://ftp.kde.org stable/main Packages
    4.2.1-15.backports.org.1 0
       500 http://www.backports.org stable/xfree86 Packages
    4.1.0-16woody4 0
       500 http://security.debian.org stable/updates/main Packages
    4.1.0-16woody1 0
       500 http://ftp.debian.skynet.be stable/main Packages

ça ne colle en rien avec toi.

Tu n'as pas eu de problème avec ton apt-get update?

Share this post


Link to post
Share on other sites

Non, il l'a installé sans pb.

Par contre j'ai exactement le meme truc que toi quand je fais apt-cache...

Share this post


Link to post
Share on other sites

c'est bien ~nobse. Si ça cloche là, as-tu eu des erreurs avec ton apt-get update?

Sinon, si l'apt-cache policy te dit la même chose que moi, je vois aps pourquoi ça ne mettrait pas cette version là.

Essaie toujours une simulation pour voir:

apt-get -s install xserver-xfree86

Sinon, au pire, tu remplaces cette ligne là:

deb http://www.backports.org/debian stable kernel-2.6 grub samba xfree86

par

deb http://www.backports.org/debian stable all

Mais bon, là, il remplacera tous tes anciens packages par une version backport.

Bête question, tu n'as quand même pas de fichiers preferences.conf dans ton répertoire /etc/apt?

Share this post


Link to post
Share on other sites

bah tu fais ~ suivi d'un espace donc ça t'affiche ~ sans aucune autre lettre. Mais bête question, ne me dis pas que tu tappes tout? Un copier/coller ça marche aussi, pour coller dans une konsole (ou aterm) si tu fais: shift + insert (même en vi ça marche mais nano c'est plus mieux :yes:)

Share this post


Link to post
Share on other sites

Ben si j'écris tout :yes:

Ce fichu ~refuse de s'afficher comme ca meme avec nano :(

EDIT

Dans /etc/apt/ j'ai : apt.conf sources.list sources.list~

Share this post


Link to post
Share on other sites

Bon en remplacant l'URL avec les blackports j'ai installé xfree. Maintenant reste KDE :yes:

J'ai remis les bonnes lignes et maintenant que xfree est instllé il me dist qu'ily a des erreurs à la ligne avec nobse. C'est donc le ~qui est pô bon....

Share this post


Link to post
Share on other sites

reste plus qu' faire l'exteme onction la machine est morte :mdr:

heu juste en mettant le texte en surbrillance il est copié en en cliquant sur le bouton du milieu il est collé, je trouve ca très pratique plutot que de taper les commandes donnés dans pci :yes:

Share this post


Link to post
Share on other sites

×
×
  • Create New...